## org.eclipse.jet.core.parser.ast
Class XMLEmptyElement

    java.lang.Object
      org.eclipse.jet.core.parser.ast.JETASTElement
          org.eclipse.jet.core.parser.ast.BodyElement
              org.eclipse.jet.core.parser.ast.XMLElement
                  org.eclipse.jet.core.parser.ast.XMLEmptyElement

    public final class XMLEmptyElement

extends XMLElement

Define an empty XML element in the JET AST.

Since:
  0.8.0

Method Summary
`protected void` `accept0(JETASTVisitor visitor)` Visit the AST and its contained elements.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.jet.core.parser.ast.XMLElement
`getAttributes, getName, getNSPrefix, getTagDefinition, getTagNCName, removeLineWhenOtherwiseEmpty`

Methods inherited from class org.eclipse.jet.core.parser.ast.JETASTElement
`accept, getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### accept0

    protected void accept0(JETASTVisitor visitor)

  Description copied from class: `JETASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept0` in class `JETASTElement`
  See Also:
    `JETASTElement.accept0(JETASTVisitor)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2006 IBM Corporation and others. All Rights Reserved.